std::experimental::pmr::unsynchronized_pool_resource::unsynchronized_pool_resource(3)

NAME
std::experimental::pmr::unsynchronized_pool_resource::unsynchronized_pool_resource - std::experimental::pmr::unsynchronized_pool_resource::unsynchronized_pool_resource

Synopsis
   unsynchronized_pool_resource(); (1) (library
                        fundamentals TS)
   explicit unsynchronized_pool_resource(memory_resource* (2) (library
   upstream); fundamentals TS)
   explicit unsynchronized_pool_resource(const pool_options& (3) (library
   opts); fundamentals TS)
   unsynchronized_pool_resource(const pool_options& opts, (4) (library
   memory_resource* upstream); fundamentals TS)
   unsynchronized_pool_resource(const (5) (library
   unsynchronized_pool_resource&) = delete; fundamentals TS)
   Constructs a unsynchronized_pool_resource.
   1-4) Constructs a unsynchronized_pool_resource using the specified upstream memory
   resource and tuned according to the specified options. The resulting object holds a
   copy of upstream but does not own the resource to which upstream points.
   The overloads not taking opts as a parameter uses a default constructed instance of
   pool_options as the options. The overloads not taking upstream as a parameter uses
   the return value of std::experimental::pmr::get_default_resource() as the upstream
   memory resource.
   5) Copy constructor is deleted.

Parameters
   opts - a pool_options struct containing the constructor options
   upstream - the upstream memory resource to use

Exceptions
   1-4) Throws only if a call to the allocate() function of the upstream resource
   throws. It is unspecified if or under what conditions such a call takes place.